aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-test-requires/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/perl-test-requires/APKBUILD')
-rw-r--r--testing/perl-test-requires/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-test-requires/APKBUILD b/testing/perl-test-requires/APKBUILD
new file mode 100644
index 0000000000..d9b6ff2af6
--- /dev/null
+++ b/testing/perl-test-requires/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-test-requires
+pkgver=0.06
+pkgrel=0
+pkgdesc="Test::Requires perl module"
+url="http://search.cpan.org/dist/Test-Requires/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Test-Requires-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Test-Requires-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="6ce0da3cceadb6420d4c3c5bb69f64db Test-Requires-0.06.tar.gz"